[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# MidStr

Copies a number of characters starting at a given position in a string.

## Declaration

Source position: line 0

`function MidStr(`
`const AText: AnsiString;`
`const AStart: Integer;`
`const ACount: Integer`
`):AnsiString; function MidStr(`
`const AText: WideString;`
`const AStart: Integer;`
`const ACount: Integer`
`):WideString;`

## Arguments

`AText` |  | String to copy characters from.
`AStart` |  | Position (in characters) to start copying from.
`ACount` |  | Number of characters to copy.

## Function result

Resulting string

## Arguments

`AText` |  | String to copy characters from.
`AStart` |  | Position (in characters) to start copying from.
`ACount` |  | Number of characters to copy.

## Function result

Resulting string

## Description

MidStr returns a string containing the first ACount bytes from the string AText starting at position AStart. If AStart+ACount is larger than the length (in characters) of AText, only as many characters as available are returned. If AStart is less than 1 or larger than the length of AText, then no characters are returned.

This function is equivalent to the standard Copy function, and is provided for completeness only.

## Errors

None.

## See also

LeftStr |  | Copies Count characters starting at the left of a string.
AnsiMidStr |  | Returns a number of characters copied from a given location in a string
RightStr |  | Copy a given number of characters, counting from the right of a string.
MidBStr |  | Copies a number of characters starting at a given position in a string.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.